"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
__export(require("./IAuthorization"));
__export(require("./RequestMethod"));
__export(require("./IContext"));
__export(require("./decorators/index"));
__export(require("./middlewares/index"));
__export(require("./results/index"));
__export(require("./router/index"));
__export(require("./Application"));
__export(require("./BaseController"));
__export(require("./IApplication"));
var core_1 = require("@ts-ioc/core");
var index_1 = require("./router/index");
var BaseController_1 = require("./BaseController");
var index_2 = require("./decorators/index");
function registerDefaults(container) {
    var lifeScope = container.getLifeScope();
    lifeScope.registerDecorator(index_2.Controller, core_1.LifeState.onInit, core_1.CoreActions.bindProvider);
    lifeScope.registerDecorator(index_2.Authorization, core_1.LifeState.onInit, core_1.CoreActions.bindProvider);
    lifeScope.registerDecorator(index_2.Middleware, core_1.LifeState.onInit, core_1.CoreActions.bindProvider);
    lifeScope.registerDecorator(index_2.Model, core_1.LifeState.onInit, core_1.CoreActions.bindProvider);
    container.register(index_1.ModelParser);
    container.register(BaseController_1.BaseController);
}
exports.registerDefaults = registerDefaults;

//# sourceMappingURL=../sourcemaps/core/index.js.map
